AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AmplifyConfig

## Index

### Properties

- API
- Analytics
- Auth
- Cache
- Storage
- UI
- XR

## Properties

### Optional API

API: object

- Defined in aws-amplify/src/Common/types/types.ts:4
- Defined in core/src/types/types.ts:4

### Optional Analytics

Analytics: object

- Defined in aws-amplify/src/Common/types/types.ts:2
- Defined in core/src/types/types.ts:2

### Optional Auth

Auth: object

- Defined in aws-amplify/src/Common/types/types.ts:3
- Defined in core/src/types/types.ts:3

### Optional Cache

Cache: object

- Defined in aws-amplify/src/Common/types/types.ts:6
- Defined in core/src/types/types.ts:6

### Optional Storage

Storage: object

- Defined in aws-amplify/src/Common/types/types.ts:5
- Defined in core/src/types/types.ts:5

### Optional UI

UI: object

- Defined in aws-amplify/src/Common/types/types.ts:7

### Optional XR

XR: object

- Defined in aws-amplify/src/Common/types/types.ts:8